Package com.avaya.clientservices.user

## Enum CallDenialPolicy

- java.lang.Object
- - java.lang.Enum<CallDenialPolicy>
  - - com.avaya.clientservices.user.CallDenialPolicy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallDenialPolicy>`

      public enum CallDenialPolicy
      extends java.lang.Enum<CallDenialPolicy>

  Enumeration that describes call denial policy.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BUSY` | If the user denies the incoming call without specifying reason then the call will be denied with reason as busy in response.
    `DECLINE` | If the user denies the incoming call without specifying reason then the call will be denied with reason as decline in response.
    `DISABLED` | If the call denial policy is disabled then the call denial capability will not be allowed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallDenialPolicy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallDenialPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final CallDenialPolicy DISABLED

      If the call denial policy is disabled then the call denial capability will not be allowed.

    - #### BUSY

          public static final CallDenialPolicy BUSY

      If the user denies the incoming call without specifying reason then the call will be denied with reason as busy in response.

    - #### DECLINE

          public static final CallDenialPolicy DECLINE

      If the user denies the incoming call without specifying reason then the call will be denied with reason as decline in response.

  - ### Method Detail

    - #### values

          public static CallDenialPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallDenialPolicy c : CallDenialPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallDenialPolicy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null